This service will be undergoing maintenance at 20:00 UTC, 2017-04-03. It is expected to last about 30 minutes
Bug 317581 - Review Request: ruby-rpm - Ruby bindings for RPM
Review Request: ruby-rpm - Ruby bindings for RPM
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Mamoru TASAKA
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-10-03 18:49 EDT by David Lutterkort
Modified: 2013-04-30 19:40 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-10-30 23:44:14 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
mtasaka: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description David Lutterkort 2007-10-03 18:49:39 EDT
Spec URL: http://people.redhat.com/dlutter/yum/spec/ruby-rpm.spec
SRPM URL: http://people.redhat.com/dlutter/yum/SRPMS/ruby-rpm-1.2.3-1.src.rpm
Description: Bindings for accessing RPM packages and databases from Ruby
Comment 1 Mamoru TASAKA 2007-10-07 04:32:45 EDT
Some random comments:

* I guess you wrote
  http://fedoraproject.org/wiki/Packaging/Ruby ?
  Then please follow ruby guideline.
  - "Requires: ruby(abi) = 1.8" is needed
  - Also I usually add "BuildRequies: ruby(abi) = 1.8" for consistency.
  - This package should provide "ruby(rpm) = %{version}-%{release}".

* Change License tag
  http://fedoraproject.org/wiki/Licensing
  http://fedoraproject.org/wiki/Packaging/LicensingGuidelines
* Source must be given by full URL.
  http://fedoraproject.org/wiki/Packaging/SourceURL
* Please use the requested buildroot (check the section "BuildRoot tag"
  of http://fedoraproject.org/wiki/Packaging/Guidelines
* [ "%{buildroot}" != "/" ] && is not needed
* We now recommend %defattr(-,root,root,-)
* This does not be rebuilt on dist-f8.
  http://koji.fedoraproject.org/koji/taskinfo?taskID=185877
  On dist-fc7-updates-candidate, this can be rebuilt
  http://koji.fedoraproject.org/koji/taskinfo?taskID=185880
  At least "BR: popt-devel" is needed for F-8+.
Comment 2 David Lutterkort 2007-10-08 19:36:38 EDT
My apologies for the shoddy initial submission and thanks for reviewing it anyway. 

I have addressed all the points you raised above; the specfile now works in my
mock buildroots from RHEL-4 to rawhide

Spec URL: http://people.redhat.com/dlutter/yum/spec/ruby-rpm.spec
SRPM URL: http://people.redhat.com/dlutter/yum/SRPMS/ruby-rpm-1.2.3-2.src.rpm
Comment 3 David Lutterkort 2007-10-08 20:07:48 EDT
Forgot to mention: the only warning I get from rpmlint is
   W: file-not-utf8 /usr/share/doc/ruby-rpm-1.2.3/doc/refm.rd.ja

Any idea what encoding that file is ? (I don't know any Japanese, so I won't
know if I recoded anything right)
Comment 4 Mamoru TASAKA 2007-10-09 03:39:33 EDT
Well, for 1.2.3-2:

* File dependency
-----------------------------------------------------
BuildRequires: /usr/include/popt.h
-----------------------------------------------------
  - Because of a certain reason, we don't recommend to
    use this type of (Build)Requires (please check the
    section "File Dependencies" of
    http://fedoraproject.org/wiki/Packaging/Guidelines
    I don't know well about RHEL, however for fedora
-----------------------------------------------------
%if 0%{?fedora} > 8
BuildRequires: popt-devel
%endif
-----------------------------------------------------
    is recommended.

* SourceURL
  - It seems that "20469" should be "26403"
  - However 
    http://rubyforge.org/frs/download.php/26403/ruby-rpm-1.2.3.tgz
    seems different from the tarball in your srpm?
  ! Well, for rubyforge.org, the number like "26403" 
    seems to change every time new version is released.

* Encoding
-----------------------------------------------------
Forgot to mention: the only warning I get from rpmlint is
   W: file-not-utf8 /usr/share/doc/ruby-rpm-1.2.3/doc/refm.rd.ja

Any idea what encoding that file is ? (I don't know any Japanese, so I won't
know if I recoded anything right)
-----------------------------------------------------
  - This file is encoded in EUC-JP (well, I am a Japanese)
    (Many Japanese documents in *nix are encoded in EUC-JP or
     ISO-2022-JP, and many Japanese documents in M$ are encoded
     in SHIFT-JIS).
Comment 5 Mamoru TASAKA 2007-10-15 11:13:51 EDT
ping?
Comment 6 David Lutterkort 2007-10-19 18:51:21 EDT
I have addressed the first two issues.
Spec: http://people.redhat.com/dlutter/yum/spec/ruby-rpm.spec
SRPM: http://people.redhat.com/dlutter/yum/SRPMS/ruby-rpm-1.2.3-3.src.rpm

> Well, for 1.2.3-2:
> 
> * File dependency
> -----------------------------------------------------
> BuildRequires: /usr/include/popt.h
> -----------------------------------------------------

Fixed.

> * SourceURL
>   - It seems that "20469" should be "26403"
>   - However 
>     http://rubyforge.org/frs/download.php/26403/ruby-rpm-1.2.3.tgz
>     seems different from the tarball in your srpm?
>   ! Well, for rubyforge.org, the number like "26403" 
>     seems to change every time new version is released.

Yeah, rubyforge has this annoying habit of inserting a random number into the
URL. Fixed.

> * Encoding
> -----------------------------------------------------
> Forgot to mention: the only warning I get from rpmlint is
>    W: file-not-utf8 /usr/share/doc/ruby-rpm-1.2.3/doc/refm.rd.ja
> 
> Any idea what encoding that file is ? (I don't know any Japanese, so I won't
> know if I recoded anything right)
> -----------------------------------------------------
>   - This file is encoded in EUC-JP (well, I am a Japanese)
>     (Many Japanese documents in *nix are encoded in EUC-JP or
>      ISO-2022-JP, and many Japanese documents in M$ are encoded
>      in SHIFT-JIS).

recode EUC-JP..UTF-8 refused to work on this file. For now, it's unchanged. not
sure if it's readable for a Japanese reader.
Comment 7 Mamoru TASAKA 2007-10-20 07:50:23 EDT
Okay.

(In reply to comment #6)

> > * Encoding
> > -----------------------------------------------------
> > Forgot to mention: the only warning I get from rpmlint is
> >    W: file-not-utf8 /usr/share/doc/ruby-rpm-1.2.3/doc/refm.rd.ja
> > 
> > Any idea what encoding that file is ? (I don't know any Japanese, so I won't
> > know if I recoded anything right)
> > -----------------------------------------------------
> >   - This file is encoded in EUC-JP (well, I am a Japanese)
> >     (Many Japanese documents in *nix are encoded in EUC-JP or
> >      ISO-2022-JP, and many Japanese documents in M$ are encoded
> >      in SHIFT-JIS).
> 
> recode EUC-JP..UTF-8 refused to work on this file. For now, it's unchanged. not
> sure if it's readable for a Japanese reader.

Well, actually I have never used recode.. I usually use iconv like:
----------------------------------------------------------------
iconv -f EUC-JP -t UTF-8 refm.rd.ja > refm.rd.ja.tmp && \
  ( touch -r refm.rd.ja refm.rd.ja.tmp ; mv -f refm.rd.ja.tmp refm.rd.ja )
----------------------------------------------------------------

----------------------------------------------------------------
  This packge (ruby-rpm) is APPROVED by me
----------------------------------------------------------------
Comment 8 David Lutterkort 2007-10-26 21:18:54 EDT
New Package CVS Request
=======================
Package Name: ruby-rpm
Short Description: Ruby bindings for RPM
Owners: lutter
Branches: F-7 F-8
InitialCC: 
Cvsextras Commits: yes
Comment 9 David Lutterkort 2007-10-30 23:44:14 EDT
Something seems fishy with the CVS setup:
(1) there is no common directory in ruby-rpm/
(2) each of the branch directories (devel/, F-7/, F-8/) has a common dir
(3) any make operation ('make new-sources FILES=ruby-rpm.tgz' and even 'make
help') just prints

  rpmq: no arguments given for query
  rpmq: no arguments given for query

and then hangs on a 'grep -i ^BuildArch:.*noarch'
Comment 10 Kevin Fenzi 2007-10-31 01:03:29 EDT
Odd. The checkout looks normal here... 
Without ruby installed I get a spew of: 
sh: ruby: command not found
but then the 'make help' or 'make srpm' works fine. 

Perhaps a clean checkout would help?
Feel free to hop over to #fedora-admin for more realtime debugging. 
Comment 11 David Lutterkort 2007-10-31 11:44:57 EDT
Sorry about that .. problem was on my end (I hadn't put the specfile in place
yet)  and submitted the above comment by mistake

Note You need to log in before you can comment on or make changes to this bug.